Subject: Re: [bug#66929] [PATCH 00/10] Add python-quadpy and dependencies.
From: Ludovic Courtès <[email-masked]>
To: Felix Gruber <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Dec 2023 22:23:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Felix,

Felix Gruber <[email-masked]> skribis:

> This patchset adds the quadpy Python library which collects a large
> number of different numerical integration algorithms.
>
> I've packaged a fork of the last GPL-licensed version of quadpy. Newer
> versions are distributed under a proprietary license and the history of
> the original git repository on https://github.com/nschloe/quadpy had
> been removed (hence I'm referring to a fork in the source and home-page
> fields). The same holds for the python-orthopy, python-ndim,
> python-accupy and python-meshzoo packages.
> Also, quadpy stores some required data files via git-lfs. I couldn't
> figure out how to download those git-lfs stored files in the source of
> the python-quadpy package. In the end, I resorted to instead point the
> source field to a zip file that contained the source code including
> those data files.
>
> Felix Gruber (10):
>   gnu: Add python-meshzoo.
>   gnu: Add python-matplotx.
>   gnu: Add python-npx.
>   gnu: Add python-cplot.
>   gnu: Add python-perfplot.
>   gnu: Add python-pyfma.
>   gnu: Add python-accupy.
>   gnu: Add python-ndim.
>   gnu: Add python-orthopy.
>   gnu: Add python-quadpy.

I applied the whole series with one change: replaced ‘gpl3’ with ‘gpl3+’
because these packages were all explicitly or implicitly “version 3 or
any later version”.

Thanks, and sorry for the delay!

Ludo’.